hdf5 (1.14.6+repack-1~exp5) experimental; urgency=medium

  * Adapt symbols files for sh4

 -- Gilles Filippini <pini@debian.org>  Sat, 04 Oct 2025 18:52:57 +0200

hdf5 (1.14.6+repack-1~exp4) experimental; urgency=medium

  * Adapt symbols files for armel armhf and m68k

 -- Gilles Filippini <pini@debian.org>  Thu, 02 Oct 2025 21:05:59 +0200

hdf5 (1.14.6+repack-1~exp3) experimental; urgency=medium

  * Adapt symbols files for 32bit architectures

 -- Gilles Filippini <pini@debian.org>  Tue, 30 Sep 2025 23:05:06 +0200

hdf5 (1.14.6+repack-1~exp2) experimental; urgency=medium

  * Adapt symbols files for !amd64 architectures

 -- Gilles Filippini <pini@debian.org>  Tue, 30 Sep 2025 19:07:13 +0200

hdf5 (1.14.6+repack-1~exp1) experimental; urgency=medium

  * New upstream release
  * Refresh patches
  * Refresh .symbols files

 -- Gilles Filippini <pini@debian.org>  Mon, 29 Sep 2025 22:59:22 +0200

hdf5 (1.14.5+repack-5~exp3) experimental; urgency=medium

  * Remove old pkconfig file not needed anymore

 -- Gilles Filippini <pini@debian.org>  Sat, 27 Sep 2025 15:05:00 +0200

hdf5 (1.14.5+repack-5~exp2) experimental; urgency=medium

  * Set HDF5_INSTALL_LIB_DIR using DEB_HOST_MULTIARCH instead of
    DEB_HOST_GNU_TYPE (fix FTBFS for i386)

 -- Gilles Filippini <pini@debian.org>  Fri, 12 Sep 2025 15:12:31 +0200

hdf5 (1.14.5+repack-5~exp1) experimental; urgency=medium

  * Build using cmake instead of autotools which will soon be deprecated
    for HDF5
  * Upload to experimental

 -- Gilles Filippini <pini@debian.org>  Thu, 11 Sep 2025 20:59:42 +0200

hdf5 (1.14.5+repack-4) unstable; urgency=medium

  * No-change upload (again) at doko's request

 -- Gilles Filippini <pini@debian.org>  Tue, 09 Sep 2025 11:15:19 +0200

hdf5 (1.14.5+repack-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change upload for IEEE long double on ppc64el.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 18:43:09 +0200

hdf5 (1.14.5+repack-3) unstable; urgency=medium

  * New patch fortran_gmtime64.patch: fix fortran gmtime related
    failures on big-endian 32-bit architectures (closes: #1091911)
  * Update symbols files for alpha hppa hurd-i386 m68k powerpc sh4

 -- Gilles Filippini <pini@debian.org>  Sun, 05 Jan 2025 16:14:18 +0100

hdf5 (1.14.5+repack-2) unstable; urgency=medium

  * Acknoledge previously fixed CVE:
    CVE-2017-17507 CVE-2018-11205 CVE-2018-14034 CVE-2018-14035
    CVE-2018-15671 CVE-2018-17433 CVE-2018-17436 CVE-2019-8396
    CVE-2019-8397 CVE-2019-8398 CVE-2019-9151 CVE-2019-9152
    CVE-2020-10809 CVE-2020-10812 CVE-2021-45829 CVE-2021-46243
    CVE-2022-25942 CVE-2022-25972 CVE-2022-26061
  * Fixed typo in changelog for 1.10.10+repack-1
  * Add nojava build profile (closes: #1067758)
  * Add missing #MINVER# to .symbols files for libhdf5-fortran,
    libhdf5-hl, and libhdf5-hl-fortran (closes: #1023820)

 -- Gilles Filippini <pini@debian.org>  Mon, 30 Dec 2024 20:18:56 +0100

hdf5 (1.14.5+repack-1) unstable; urgency=medium

  * New major upstream release
  * Fixed CVE-2024-33877 CVE-2024-33876 CVE-2024-33875 CVE-2024-33874
    CVE-2024-33873 CVE-2024-32624 CVE-2024-32623 CVE-2024-32622
    CVE-2024-32621 CVE-2024-32620 CVE-2024-32619 CVE-2024-32618
    CVE-2024-32617 CVE-2024-32616 CVE-2024-32615 CVE-2024-32614
    CVE-2024-32613 CVE-2024-32612 CVE-2024-32611 CVE-2024-32610
    CVE-2024-32609 CVE-2024-32607 CVE-2024-32606 CVE-2024-32605
    CVE-2024-29166 CVE-2024-29165 CVE-2024-29164 CVE-2024-29163
    CVE-2024-29162 CVE-2024-29161 CVE-2024-29160 CVE-2024-29159
    CVE-2024-29158 CVE-2024-29157 (closes: #1070861)
  * Fix CVE-2018-11202 CVE-2018-11206 CVE-2018-13867 CVE-2018-13867
    CVE-2018-13869 CVE-2018-13870 CVE-2018-14031 CVE-2018-14033
    CVE-2018-14460 CVE-2018-16438 CVE-2018-17432 CVE-2018-17435
    CVE-2018-17439 CVE-2019-8396 CVE-2020-10810 CVE-2020-10810
    CVE-2021-37501 CVE-2021-45830 CVE-2021-45833 CVE-2021-46242
    CVE-2021-46244
  * Update d/copyright
  * Rename and update symbols files
  * Refresh patches
  * Drop patches:
    - relax-version-check.patch: now useless
    - fix-unaligned-accesses.patch: source code was refactored
      and this patch doesn't apply anymore
  * New patches:
    - float128.patch: backported from upstream to fix an FTBFS on i386
    - cheat-fortranlib_test.patch: temporry patch to workaround an issue
      in the fortranlib test for 32 bit architectures
  * Bump default API version from 1.8 to 1.14
  * htdf5-tools: install new tools: h5delete, h5format_convert, h5fuse
    h5watch
  * Docs: no more html folder

 -- Gilles Filippini <pini@debian.org>  Tue, 10 Dec 2024 21:12:10 +0100

hdf5 (1.10.10+repack-5) unstable; urgency=medium

  * Build-Depends: libopenmpi-dev: explicitly exclude all 32bit archs
    instead of relying on an an alternative with architecture-is-32-bit
    (closes: #1087988)

 -- Gilles Filippini <pini@debian.org>  Thu, 28 Nov 2024 19:28:37 +0100

hdf5 (1.10.10+repack-4) unstable; urgency=medium

  * Drop OpenMPI support for 32 bit archs (closes: #1068320)
  * debian/rules: fix binary packages exclusion via DH_OPTIONS when
    flavors are disabled
  * New patch: gcc14.patch (closes: #1075063)

 -- Gilles Filippini <pini@debian.org>  Sun, 28 Jul 2024 15:35:47 +0200

hdf5 (1.10.10+repack-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-enable java support for armel and armhf.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 29 Mar 2024 16:25:24 +0500

hdf5 (1.10.10+repack-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix incorrect t64 library dependencies on -dev packages.
  * Temporarily disable java support for armel and armhf.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 26 Mar 2024 23:30:41 +0500

hdf5 (1.10.10+repack-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064095

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 02:48:14 +0000

hdf5 (1.10.10+repack-3) unstable; urgency=medium

  * Update symbols files
  * Fix symbols files for loong64 (closes: #1054106; thanks to Dandan Zhang)

 -- Gilles Filippini <pini@debian.org>  Tue, 17 Oct 2023 22:56:33 +0200

hdf5 (1.10.10+repack-2) unstable; urgency=medium

  * Re-ctivate patch java-test-TestH5Arw_array-overflow

 -- Gilles Filippini <pini@debian.org>  Sat, 19 Aug 2023 13:31:04 +0200

hdf5 (1.10.10+repack-1) unstable; urgency=medium

  * New upstream release
  * Tools gif2h5 and h52gif are deprecated
  * Refresh patches
  * Update symbols files
  * Drop transitionnal packages:
    - libhdf5-103 (closes: #1038330)
    - libhdf5-cpp-103 (closes: #1038257)
    - libhdf5-openmpi-103 (closes: #1038316)
    - libhdf5-mpich-103 (closes: #1038238)

 -- Gilles Filippini <pini@debian.org>  Sun, 11 Jun 2023 19:25:39 +0200

hdf5 (1.10.8+repack1-2) unstable; urgency=medium

  * Do not install gif2h5 anymore, which is subject of multiple CVE
    (closes: #1031726):
    - CVE-2022-26061
    - CVE-2022-25972
    - CVE-2022-25942

 -- Gilles Filippini <pini@debian.org>  Thu, 06 Apr 2023 18:30:50 +0200

hdf5 (1.10.8+repack1-1) unstable; urgency=medium

  * Build against default JDK for all arches (closes: #1025232)
  * java-test-TestH5Arw_array-overflow.patch: fix an array overflow
    in java test TestH5Arw
  * Repack upstream source to drop embedded jar files
  * java_use-system-jars.patch: use system provided jar files
    instead of the embedded ones
  * Build-Depends: junit4, libslf4j-java
  * debian/watch: use the Github upstream repo

 -- Gilles Filippini <pini@debian.org>  Sun, 18 Dec 2022 18:20:33 +0100

hdf5 (1.10.8+repack-4) unstable; urgency=medium

  * Fix previous change where d/control.in was forgotten

 -- Gilles Filippini <pini@debian.org>  Sat, 26 Nov 2022 10:39:18 +0100

hdf5 (1.10.8+repack-3) unstable; urgency=medium

  * |i386 mips64el] Build against openjdk-11 instead of default-jdk to
    avoid tests failures

 -- Gilles Filippini <pini@debian.org>  Sat, 26 Nov 2022 00:04:44 +0100

hdf5 (1.10.8+repack-2) unstable; urgency=medium

  * Remove rpath link flag from h5cc et al commands

 -- Gilles Filippini <pini@debian.org>  Wed, 16 Nov 2022 00:15:35 +0100

hdf5 (1.10.8+repack-1) unstable; urgency=medium

  * New release upstream
  * Refresh patches
  * Add configure flag --enable-hltools, or the HL tools are not built
  * Update symbols files

 -- Gilles Filippini <pini@debian.org>  Mon, 22 Aug 2022 13:07:50 +0200

hdf5 (1.10.7+repack-4) unstable; urgency=medium

  * libhdf5*-dev: Depends: libssl-dev
    This is a consequence of enabling read-only S3 virtual file driver

 -- Gilles Filippini <pini@debian.org>  Wed, 13 Oct 2021 00:46:20 +0200

hdf5 (1.10.7+repack-3) unstable; urgency=medium

  * libhdf5*-dev: Depends: libcurl4-openssl-dev | libcurl-dev (Closes:
    #995594). This is a consequence of enabling read-only S3 virtual file
    driver.
  * Fix 103-1 package name in shlibs files

 -- Gilles Filippini <pini@debian.org>  Sun, 03 Oct 2021 12:28:05 +0200

hdf5 (1.10.7+repack-2) unstable; urgency=medium

  * Enable again support for read-only S3 virtual file driver
    (Closes: #972537)

 -- Gilles Filippini <pini@debian.org>  Thu, 30 Sep 2021 23:34:48 +0200

hdf5 (1.10.7+repack-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Update symbols files

 -- Gilles Filippini <pini@debian.org>  Thu, 09 Sep 2021 20:22:14 +0200

hdf5 (1.10.6+repack-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * libhdf5-mpich-dev: bump libmpich-dev dependency to (>= 3.3-3~) (Closes:
    #992068)

 -- Gilles Filippini <pini@debian.org>  Wed, 11 Aug 2021 16:33:03 +0200

hdf5 (1.10.6+repack-4) unstable; urgency=medium

  * Revert support for read-only S3 virtual file driver, as it introduced
    a regression

 -- Gilles Filippini <pini@debian.org>  Wed, 16 Jun 2021 23:57:23 +0200

hdf5 (1.10.6+repack-3) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * Enable support for read-only S3 virtual file driver (Closes: #972537)

  [ Gilles filippini ]
  * Rewrite maintainer scripts without process substitution so that they
    can work into a chroot with no /proc (Closes: #973261)

  [ Andreas Beckmann ]
  * Reintroduce libhdf5-103, libhdf5-cpp-103, libhdf5-openmpi-103,
    libhdf5-mpich-103 as transitional packages depending on the individual
    library packages that were bundled under these names in buster. This is a
    workaround for upgrade issues caused by libhdf5-103 (in buster) and
    libhdf5-103-1 (in bullseye) not being co-installable. The transitional
    packages cannot depend on libhdf5{,-openmpi,-mpich}-fortran100 because
    these had the SOVERSION bumped from 100 to 102, but luckily there are no
    known users of these libraries in buster (See #988722).
  * Add a new optional symbol to libhdf5*-cpp-103-1.symbols.

 -- Gilles Filippini <pini@debian.org>  Mon, 14 Jun 2021 22:06:42 +0200

hdf5 (1.10.6+repack-2) unstable; urgency=medium

  * Default plugindir per flavor
  * Advertise them in pkg-config files (variable PluginDir)

  * d/control: This package is not team maintained anymore

 -- Gilles Filippini <pini@debian.org>  Fri, 24 Apr 2020 20:00:42 +0200

hdf5 (1.10.6+repack-1) unstable; urgency=medium

  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Sat, 28 Mar 2020 09:48:13 +0100

hdf5 (1.10.6+repack-1~exp5) experimental; urgency=medium

  * libhdf5-mpi-dev: drop the hdf5-mpi.pc link to the related pkgconfig
    file for the architectures's default mpi implementation
  * libhdf5-<mpi-flavor>-dev: provide hdf5-mpi.pc link to the related
    pkgconfig file via update-alternative as a slave of the mpi alternative
    (closes: #953021)

 -- Gilles Filippini <pini@debian.org>  Wed, 18 Mar 2020 12:43:10 +0100

hdf5 (1.10.6+repack-1~exp4) experimental; urgency=medium

  * libhdf5-mpi-dev: add hdf5-mpi.pc link to the pkg-config file of the
    related default MPI implementation
  * Fix -dev packages' alternatives' priorities (closes: #953020)
  * Bump Standards-Version to 4.5.0, no changes.

 -- Gilles Filippini <pini@debian.org>  Mon, 16 Mar 2020 14:20:23 +0100

hdf5 (1.10.6+repack-1~exp3) experimental; urgency=medium

  * Fix symbols files for ppc64 and powerpc

 -- Gilles Filippini <pini@debian.org>  Sun, 05 Jan 2020 21:24:16 +0100

hdf5 (1.10.6+repack-1~exp2) experimental; urgency=medium

  * Update symbols files

 -- Gilles Filippini <pini@debian.org>  Sun, 29 Dec 2019 11:41:54 +0100

hdf5 (1.10.6+repack-1~exp1) experimental; urgency=medium

  [ Gilles Filippini ]
  * New upstream release
  * Drop patch fix-HDFFV-10745.patch which seems fixed upstream
  * Refresh other patches
  * Fix pkg-config file for libhdf5-openmpi-dev (closes: #934875)

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.1, no changes.

 -- Gilles Filippini <pini@debian.org>  Fri, 27 Dec 2019 16:27:41 +0100

hdf5 (1.10.5+repack-1~exp8) experimental; urgency=medium

  * Fix symbols files for armhf

 -- Gilles Filippini <pini@debian.org>  Tue, 13 Aug 2019 13:56:19 +0200

hdf5 (1.10.5+repack-1~exp7) experimental; urgency=medium

  [ Gilles Filippini ]
  * Add missing Breaks + Replaces to libhdf5-*103-1 (closes: #929406)
  * Update symbols file for riscv64 (closes: #933850)

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Gilles Filippini <pini@debian.org>  Tue, 13 Aug 2019 11:58:38 +0200

hdf5 (1.10.5+repack-1~exp6) experimental; urgency=medium

  * Rename C and CPP api packages to force a transition: the sonames for
    these apis are unchanged from the previous upstream release (1.10.4)

 -- Gilles Filippini <pini@debian.org>  Wed, 08 May 2019 15:49:59 +0200

hdf5 (1.10.5+repack-1~exp5) experimental; urgency=medium

  * Fix debian rules to run dh_install for -java and -jni packages
  * New patch fix-HDFFV-10745.patch: fix type error in java method
    H5.H5Pget_sym_k (closes: #926098)

 -- Gilles Filippini <pini@debian.org>  Mon, 29 Apr 2019 13:55:52 +0200

hdf5 (1.10.5+repack-1~exp4) experimental; urgency=medium

  * Add missing dependencies to libhdf5-{mpich,openmpi}-dev (closes:
    #927446)
  * Update debian/README.source

 -- Gilles Filippini <pini@debian.org>  Sat, 20 Apr 2019 18:26:40 +0200

hdf5 (1.10.5+repack-1~exp3) experimental; urgency=medium

  * Add C++ and HL C++ runtimes for parallel flavors (unsupported
    upstream; closes: #703439)

 -- Gilles Filippini <pini@debian.org>  Wed, 10 Apr 2019 11:27:07 +0200

hdf5 (1.10.5+repack-1~exp2) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Remove package name from lintian overrides

  [ Gilles Filippini ]
  * Drop libhdf5-flavor-soname dependencies on libhdf5-api-flavor-soname

 -- Gilles Filippini <pini@debian.org>  Sun, 31 Mar 2019 14:56:44 +0200

hdf5 (1.10.5+repack-1~exp1) experimental; urgency=medium

  * New upstream release
  * Fixed CVE:
    - CVE-2018-17233: incorrect protection against division by zero
    - CVE-2018-17434: incorrect protection against division by zero
    - CVE-2018-17437: memory leak in H5O_dtype_decode_helper()
  * Drop patch fix-junit-script.patch (fixed upstream)
  * Refresh other patches
  * Bump Fortran API soname to 102 and update symbols files

  * Split out runtime packages for fortran, cpp, hl, hl-fortran and hl-cpp
    with their own sonames

 -- Gilles Filippini <pini@debian.org>  Sun, 10 Mar 2019 00:17:49 +0100

hdf5 (1.10.4+repack-10) unstable; urgency=medium

  * Update symbols files for arch sh4

 -- Gilles Filippini <pini@debian.org>  Sun, 03 Feb 2019 22:12:38 +0100

hdf5 (1.10.4+repack-9) unstable; urgency=medium

  * Build-Depends: libopenmpi-dev: should fix FTBFS for architectures
    where default-mpi is mpich

 -- Gilles Filippini <pini@debian.org>  Thu, 10 Jan 2019 10:25:45 +0100

hdf5 (1.10.4+repack-8) unstable; urgency=medium

  * New patch fix-junit-script.patch: fix Time substitution when the test
    duration is a natural number

 -- Gilles Filippini <pini@debian.org>  Thu, 03 Jan 2019 20:43:52 +0100

hdf5 (1.10.4+repack-7) unstable; urgency=medium

  * Re-enable auto_test erroneously commented out in the previous upload
  * Still trying to improve vs Reproducible Builds
  * Drop useless lintian-override

 -- Gilles Filippini <pini@debian.org>  Wed, 02 Jan 2019 17:14:14 +0100

hdf5 (1.10.4+repack-6) unstable; urgency=medium

  * Remove all dpkg-buildflags from hdf5-helpers
  * d/copyright: Fix missing 2016 copyright for LBNL

 -- Gilles Filippini <pini@debian.org>  Sun, 30 Dec 2018 12:12:12 +0100

hdf5 (1.10.4+repack-5) unstable; urgency=medium

  * Drop useless -fdebug-prefix-map flag from hdf5-helpers to improve
    reproducibility
  * Rewrite debian/copyright using machine readable copyright format 1.0

 -- Gilles Filippini <pini@debian.org>  Sat, 29 Dec 2018 08:05:05 +0100

hdf5 (1.10.4+repack-4) unstable; urgency=medium

  * Actually bump Standards-Version to 4.3.0, as previous change was made
    into d/control instead of d/control.in
  * Drop useless build dependency on autotools-dev, automake, dh-autoreconf

 -- Gilles Filippini <pini@debian.org>  Wed, 26 Dec 2018 23:47:47 +0100

hdf5 (1.10.4+repack-3) unstable; urgency=medium

  * New patch reproducibility.patch to try to improve toward reproducible
    builds
  * Bump Standards-Version to 4.3.0 (no changes)

 -- Gilles Filippini <pini@debian.org>  Wed, 26 Dec 2018 22:18:46 +0100

hdf5 (1.10.4+repack-2) unstable; urgency=medium

  * Drop transitional package libhdf5-serial-dev (closes: #878535)
  * Fix pkg-config files which contained wrong, old version numbers
    (thanks to Elias Kuthe)

  * Acknowledging fixed CVE in previous releases:
    - Fixed in upstream release 1.10.2 (closes: #884365):
      . CVE-2017-17505: NULL pointer dereference in function H5O_pline_decod
      . CVE-2017-17506: out of bounds read vulnerability in function
                        H5Opline_pline_decode
      . CVE-2017-17508: divide-by-zero vulnerability in function H5T_set_loc
      . CVE-2017-17509: out of bounds write vulnerability in function
                        H5G__ent_decode_vec
    - Fixed in upstream release 1.10.3:
      . CVE-2018-11202: NULL pointer dereference in function
                        H5S_hyper_make_spans
      . CVE-2018-11203: division by zero in function H5D__btree_decode_key
      . CVE-2018-11204: NULL pointer dereference in function
                        H5O__chunk_deserialize
      . CVE-2018-11206: out of bound read in functions H5O_fill_new_decode
                        and H5O_fill_old_decode
      . CVE-2018-11207: division by zero in function H5D__chunk_init

 -- Gilles Filippini <pini@debian.org>  Wed, 19 Dec 2018 10:27:23 +0100

hdf5 (1.10.4+repack-1) unstable; urgency=medium

  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Sat, 17 Nov 2018 12:59:38 +0100

hdf5 (1.10.4+repack-1~exp1) experimental; urgency=medium

  * New upstream release
  * Refresh patch flavor-configure-option.patch

 -- Gilles Filippini <pini@debian.org>  Thu, 25 Oct 2018 11:02:26 +0200

hdf5 (1.10.3+repack-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Remove trailing comma from dependency list.
  * Bump Standards-Version to 4.2.1, no changes.
  * Strip trailing whitespace from changelog file.

  [ Gilles Filippini ]
  * New upstream release
    - The HDF Group is no longer providing the source for the User's Guide
      and the Reference Manual. The latest documentation is on the support
      portal only, which is freely available. However, it's not easily
      downloadable.
  * Drop patches (fixed upstream):
    - java-runtime-exception.patch
  * Refresh other patches
  * Update symbols and map files
  * Enable openmpi flavor for m68k and sh4 (closes: #897273)
  * hdf5-tools: install h5clear (closes: #903041)

 -- Gilles Filippini <pini@debian.org>  Fri, 21 Sep 2018 12:05:33 +0200

hdf5 (1.10.2+repack-1~exp1) experimental; urgency=medium

  [ Gilles Filippini ]
  * New upstream release
  * debian/control:
    - Update from d/control.in (bump SONAME_CXX)
    - Make Vcs-* fields point to salsa.debian.org
  * Refresh patches
  * Update symbols files
  * Java library: target Java 1.8
  * Update lintian-overrides

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar by default.
  * Fix deprecated source override location.
  * Restructure control files with cme, sync control changes into control.in.
  * Bump Standards-Version to 4.1.3, no changes.

 -- Gilles Filippini <pini@debian.org>  Tue, 03 Apr 2018 20:50:46 +0200

hdf5 (1.10.1+repack-1~exp1) experimental; urgency=medium

  * Fix broken debian/watch due to upstrem web site major change; the
    uscan download mode is now set to git
  * Disable dh_auto_test on ppc64el (HDFFV-10309)
  * This upstream release fixes openmpi flavor on arm64 (closes: #855810)
  * Priority: replace 'extra' with 'optional'

 -- Gilles Filippini <pini@debian.org>  Sun, 14 Jan 2018 16:54:08 +0100

hdf5 (1.10.1+docs-1~exp2) experimental; urgency=medium

  * libhdf5[-flavor]-101 conflicts / replaces libhdf5[-flavor]-100

 -- Gilles Filippini <pini@debian.org>  Mon, 23 Oct 2017 00:37:47 +0200

hdf5 (1.10.1+docs-1~exp1) experimental; urgency=medium

  * New upstream release

  * New patch: fix-unaligned-accesses.patch:
    Fix unaligned accesses on sparc64 (closes: #875977)
    Thanks to James Clarke <jrtc27@debian.org>
  * Drop patches CVE-2016-433*.patch (fixed upstream)
  * Refresh other patches
  * Rename debian/README to debian/README.Debian and add note about
    v1.10.0 and 1.10.1 compatibility

  * Improve flavor-configure-option.patch to manage -dev packages'
    symlinks and clean-up debian/rules a bit
  * Enable dh_auto_test for serial flavor

 -- Gilles Filippini <pini@debian.org>  Sat, 07 Oct 2017 15:14:49 +0200

hdf5 (1.10.0-patch1+docs-4) unstable; urgency=medium

  * debian/rules: fix javahelper invocation (closes: #871506)

 -- Gilles Filippini <pini@debian.org>  Sun, 13 Aug 2017 18:50:36 +0200

hdf5 (1.10.0-patch1+docs-3) unstable; urgency=medium

  * Enable openmpi flavor on hppa (closes: #833457)
  * Fix missing symbols for powerpcspe 'closes: #842595)

 -- Gilles Filippini <pini@debian.org>  Mon, 05 Dec 2016 09:27:39 +0100

hdf5 (1.10.0-patch1+docs-2) unstable; urgency=medium

  * Don't build the java wrapper library on hppa and hurd-i386 where
    there is no JDK >= 1.7

 -- Gilles Filippini <pini@debian.org>  Fri, 02 Dec 2016 11:32:12 +0100

hdf5 (1.10.0-patch1+docs-2~exp2) experimental; urgency=medium

  * Fix FTBFS on kfreebsd-*

 -- Gilles Filippini <pini@debian.org>  Thu, 01 Dec 2016 21:52:43 +0100

hdf5 (1.10.0-patch1+docs-2~exp1) experimental; urgency=medium

  * New binary packages for the java wrapper library which is now
    integrated into the HDF5 source tree: libhdf5-java and libhdf5-jni
  * New patch java-runtime-exception.patch to define HDF5Exception as
    a subclass of RuntimeException, to make it an unchecked exception

 -- Gilles Filippini <pini@debian.org>  Tue, 29 Nov 2016 00:38:20 +0100

hdf5 (1.10.0-patch1+docs-1) unstable; urgency=medium

  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Mon, 28 Nov 2016 09:01:23 +0100

hdf5 (1.10.0-patch1+docs-1~exp6) experimental; urgency=medium

  * Fix FTBFS when building arch-all only

 -- Gilles Filippini <pini@debian.org>  Sat, 26 Nov 2016 20:58:15 +0100

hdf5 (1.10.0-patch1+docs-1~exp5) experimental; urgency=medium

  * New patches CVE-2016-433*.patch from upstream develop branch
    to fix four vulnerabilities unveiled by TALOS (closes: #845301,
    CVE-2016-4330, CVE-2016-4331, CVE-2016-4332, CVE-2016-4333)

 -- Gilles Filippini <pini@debian.org>  Thu, 24 Nov 2016 23:30:44 +0100

hdf5 (1.10.0-patch1+docs-1~exp4) experimental; urgency=medium

  * Move setting of substvar ${hdf5-mpi-dev} into dh_makeshlib; it was
    ignored when set at configure step

 -- Gilles Filippini <pini@debian.org>  Fri, 22 Jul 2016 21:43:25 +0200

hdf5 (1.10.0-patch1+docs-1~exp3) experimental; urgency=medium

  * Set default plugins dir to /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/plugins
  * Symbols files:
    - CPP: use flag arch-its=64 instead of enumerating non 64 bits
      architectures

 -- Gilles Filippini <pini@debian.org>  Tue, 28 Jun 2016 22:47:41 +0200

hdf5 (1.10.0-patch1+docs-1~exp2) experimental; urgency=medium

  * Symbols files:
    - Drop ~alpha, ~pre and -patch parts of 1.10.0 release symbols.
      They all belong to 1.10.0 release.
    - Reintroduce previously dropped cpp symbols, with flag
      arch-bits!=64.

 -- Gilles Filippini <pini@debian.org>  Tue, 24 May 2016 23:56:39 +0200

hdf5 (1.10.0-patch1+docs-1~exp1) experimental; urgency=medium

  * New upstream release
  * PHP7.0 transition: Build-Depends-Indep: php-cli (instead of
    php5-cli)
  * Symbols files:
    - Update from new release
    - Fix arch specific symbols for remaining architectures but sh4 and
      powerpcspe
  * Standars-Version: bump to 3.9.8 (no changes)

 -- Gilles Filippini <pini@debian.org>  Sat, 21 May 2016 15:54:13 +0200

hdf5 (1.10.0+docs-1~exp3) experimental; urgency=medium

  * debian/control.in:
    * Use Build-Depends-Indep
    * Drop - now - useless versioned Build-Depends on dpkg-dev
  * Symbols files: fix arch specific symbols for release architectures

 -- Gilles Filippini <pini@debian.org>  Thu, 21 Apr 2016 14:20:09 +0200

hdf5 (1.10.0+docs-1~exp2) experimental; urgency=medium

  * debian/rules:
    - Migrate to dh with compat=10
    - Drop flag OMPI_MCA_disable_memory_allocator (old workaround for
      bug #531522)
  * Drop *-dbg packages, superseded by automatic debug packages
  * Symbols files:
    - Start fixing new arch-specific symbols (arch-bits=64)
    - Temporarily set DPKG_GENSYMBOLS_CHECK_LEVEL=0 to catch all other
      diffs at once

 -- Gilles Filippini <pini@debian.org>  Mon, 18 Apr 2016 18:58:54 +0200

hdf5 (1.10.0+docs-1~exp1) experimental; urgency=medium

  * New upstream release
  * Integration of Java HDF5 JNI into the source tree (not enabled in
    the build)

  * Refresh lintian overrides
  * Drop patches:
    - format-not-a-string-literal-and-no-format-arguments.patch: fixed
      upstream
    - hurd-sigsetjmp.patch: no more needed now that #800900 is fixed
  * Refresh other patches
  * libhdf5-cpp-<SONAME_CXX>: drop versioned dependency on libhdf5-<SONAME>
    to ease future transitions
  * debian/rules:
    - improve soname retrieval
    - replace deprecated '--enable-production' with '--enable-build-mode'
  * debian/watch: use dirversionmangle to have upstream releases properly
    sorted
  * Bump Standards-Version to 3.9.7 (no change)

 -- Gilles Filippini <pini@debian.org>  Sat, 16 Apr 2016 09:24:06 +0200

hdf5 (1.8.16+docs-8) unstable; urgency=medium

  * Build-Depends: php-cli instead of php5-cli (closes: #821678)
  * debian/watch: use dirversionmangle to have upstream versions
    properly sorted

 -- Gilles Filippini <pini@debian.org>  Sat, 23 Apr 2016 11:43:31 +0200

hdf5 (1.8.16+docs-7) unstable; urgency=medium

  * debian/rules: fix typo preventing doc installation.

 -- Gilles Filippini <pini@debian.org>  Sat, 19 Mar 2016 16:16:53 +0100

hdf5 (1.8.16+docs-6) unstable; urgency=medium

  * Don't support openmpi on archs where it is broken: [!hppa !m68k !sh4]

 -- Gilles Filippini <pini@debian.org>  Wed, 24 Feb 2016 17:57:01 +0100

hdf5 (1.8.16+docs-5) unstable; urgency=medium

  * Build -doc package only on archs where php5-cli is available:
    [!m68k !sh4].

 -- Gilles Filippini <pini@debian.org>  Sun, 21 Feb 2016 20:56:48 +0100

hdf5 (1.8.16+docs-4) unstable; urgency=medium

  * Support openmpi for any arch but m68k (closes: #814329).
  * Fix debian/watch to show every available releases.

 -- Gilles Filippini <pini@debian.org>  Fri, 19 Feb 2016 01:06:49 +0100

hdf5 (1.8.16+docs-3) unstable; urgency=medium

  * libhdf5{,-mpich,-openmpi}-dev: Depends: libaec-dev (closes: #812683).

 -- Gilles Filippini <pini@debian.org>  Mon, 25 Jan 2016 22:51:16 +0100

hdf5 (1.8.16+docs-2) unstable; urgency=medium

  * Build against libaec-dev which provide SZLIB (closes: #811093).
  * libhdf5-cpp-<SONAME_CXX>: drop versioned dependency on libhdf5-<SONAME>
    to ease future transitions.

 -- Gilles Filippini <pini@debian.org>  Sun, 24 Jan 2016 22:52:49 +0100

hdf5 (1.8.16+docs-1) unstable; urgency=medium

  * New upstream release.
  * Starting with this release, each library has its own soname. Only
    the cpp libs' soname was bumped this time.

 -- Gilles Filippini <pini@debian.org>  Tue, 24 Nov 2015 22:30:27 +0100

hdf5 (1.8.15-patch1+docs-5) unstable; urgency=medium

  * Drop back hppa from openmpi enabled architectures because the patch
    from #776730 hasn't been applied yet.
  * New patch hurd-sigsetjmp.patch to temporarily workaround FTBFS on
    hurd-i386 (see #800900).
  * Update .symbols files for ppc64 arch (closes: #800823; thanks to
    Hiroyuki Yamamoto).
  * Don't remove m4/aclocal*.m4 files during clean.

 -- Gilles Filippini <pini@debian.org>  Sat, 31 Oct 2015 15:25:14 +0100

hdf5 (1.8.15-patch1+docs-4) unstable; urgency=medium

  * Upload to unstable.

 -- Gilles Filippini <pini@debian.org>  Wed, 30 Sep 2015 08:07:53 +0200

hdf5 (1.8.15-patch1+docs-3) experimental; urgency=medium

  * Drop explicit Build-Depends on g++ (>= 4:5-0), g++-5 (>= 5.2.1-10)
    now that GCC-5 is the default in unstable.

 -- Gilles Filippini <pini@debian.org>  Sun, 09 Aug 2015 18:45:13 +0200

hdf5 (1.8.15-patch1+docs-2) experimental; urgency=medium

  * Build against g++-5: Build-Depends: g++ (>= 4:5-0), g++-5 (>= 5.2.1-10)
    until g++-5 becomes the default.
  * Update symbols files and version scripts.

 -- Gilles Filippini <pini@debian.org>  Sat, 18 Jul 2015 16:20:15 +0200

hdf5 (1.8.15-patch1+docs-1) experimental; urgency=medium

  * New upstream release:
    - Reverted the change to the H5api_adpt.h (rev. 26678) that caused
      compilation errors for the C++ HDF5 applications. 
      (EIP - 2015/05/28, HDFFV-9384)
  * Improved C++ symbols tracking. See debian/README.source for details.

 -- Gilles Filippini <pini@debian.org>  Fri, 26 Jun 2015 14:55:43 +0200

hdf5 (1.8.15+docs-2) experimental; urgency=medium

  * Update symbols files and version scripts.

 -- Gilles Filippini <pini@debian.org>  Mon, 18 May 2015 21:17:49 +0200

hdf5 (1.8.15+docs-1) experimental; urgency=medium

  * New upstream release.
  * Soname bump due to a non backward compatible C++ API change: two
    overloaded methods have been combined into a single method and one
    constructor has been deprecated.
  * Drop parts of patch ullong_force.diff which were applied upstream.

  * New patch format-not-a-string-literal-and-no-format-arguments.patch
    to fix a couple of build errors raised by "-Werror=format-security".
  * Acknowledge upstream bug number in patch path_max.diff.

 -- Gilles Filippini <pini@debian.org>  Mon, 18 May 2015 16:59:43 +0200

hdf5 (1.8.14+docs-3) experimental; urgency=medium

  * Another bunch of symbol fixes for powerpc.

 -- Gilles Filippini <pini@debian.org>  Thu, 02 Apr 2015 19:50:01 +0200

hdf5 (1.8.14+docs-2) experimental; urgency=medium

  * debian/control: drop libhdf5-mpich2-* transitional packages.
  * Fix helper script debian/sort-symbols to workaround bug #773718
    against dpkg-dev (dpkg-gensymbols).
  * Add hppa to openmpi enabled architectures (closes: #776845).
  * Rework path_max.diff patch to call realpath() the POSIX way.
  * Fix FTBFS on powerpc due to a few missing generated symbols.
    They are now prefixed with '(arch!=powerpc)' in their .symbols
    file.

 -- Gilles Filippini <pini@debian.org>  Wed, 01 Apr 2015 22:47:47 +0200

hdf5 (1.8.14+docs-1) experimental; urgency=medium

  * New upstream release.
  * soname bump due to the renaming of several public symbols in
    H5Ppublic.h.

  * Drop patches (issues fixed upstream):
    - soname.diff
    - HDFFV-8917.patch
  * Definitely drop previously de-activated patches:
    - mpi.diff
    - skip_cxx_inclusion.diff
  * Refresh patches:
    - flavor-configure-option.patch
    - path_max.diff

  * Bump Standards-Version to 3.9.6 (no changes).

 -- Gilles Filippini <pini@debian.org>  Mon, 22 Dec 2014 18:47:47 +0100

hdf5 (1.8.13+docs-15) unstable; urgency=medium

  * New patch HDFFV-8917.patch from upstream to fix a resource
    exhaustion bug (closes: #765511).

 -- Gilles Filippini <pini@debian.org>  Fri, 17 Oct 2014 07:51:24 +0200

hdf5 (1.8.13+docs-14) unstable; urgency=medium

  * Use legacy library names in pkg-config files, to be consistent with
    h5cc & co.

 -- Gilles Filippini <pini@debian.org>  Sun, 05 Oct 2014 20:57:39 +0200

hdf5 (1.8.13+docs-13) unstable; urgency=medium

  * Revert libhdf5-mpi-dev to arch any, because the dependency depends
    on the architecture (thanks to Anton Gladky).
  * d/control clean-up:
    - remove Sylvestre from the uploaders (at his request)
    - drop un-needed build-deps:
      . libopenmpi-dev (pulled in by mpi-default-dev)
      . libibverbs (pulled in by libopenmpi-dev)
      . sed (essential, and version >= 4.1.5 in old-stable).

 -- Gilles Filippini <pini@debian.org>  Tue, 16 Sep 2014 09:52:37 +0200

hdf5 (1.8.13+docs-12) unstable; urgency=medium

  * Set up debian/libhdf5-mpi-dev.substvars in the binary-indep target
    because release 1.8.13+docs-10 changed the libhdf5-mpi-dev
    architecture to 'all'.

 -- Gilles Filippini <pini@debian.org>  Fri, 12 Sep 2014 11:02:24 +0200

hdf5 (1.8.13+docs-11) unstable; urgency=medium

  * Fix wrong path in h5fc part of flavor-configure-option.patch
    (closes: #761244).

 -- Gilles Filippini <pini@debian.org>  Fri, 12 Sep 2014 08:01:30 +0200

hdf5 (1.8.13+docs-10) unstable; urgency=medium

  * Clean-up d/control
  * Allow disabling the MPI targets at build time (closes: #576004).
    This is triggered by setting empty environment variables OMPIARCHS
    and MPICHARCHS.

 -- Gilles Filippini <pini@debian.org>  Thu, 11 Sep 2014 10:10:38 +0200

hdf5 (1.8.13+docs-9) unstable; urgency=medium

  * Sync $(ARCH) with arch list from openmpi package (closes: #744963).
  * Enable the Fortran 2003 interface (closes: #758694).

 -- Gilles Filippini <pini@debian.org>  Fri, 05 Sep 2014 20:04:12 +0200

hdf5 (1.8.13+docs-8) unstable; urgency=medium

  * Add lintian overrides for libhdf5*-dev to ignore the warning
    symlink-is-self-recursive.

 -- Gilles Filippini <pini@debian.org>  Fri, 15 Aug 2014 22:37:03 +0200

hdf5 (1.8.13+docs-7) experimental; urgency=medium

  * libhdf5-*-dev: add a link to have libhdf5.settings into
    /usr/lib/$MULTIARCH/hdf5/$flavor/.

 -- Gilles Filippini <pini@debian.org>  Tue, 12 Aug 2014 22:28:52 +0200

hdf5 (1.8.13+docs-6) experimental; urgency=medium

  * Add alternatives for hdf5.pc in -dev packages.

 -- Gilles Filippini <pini@debian.org>  Thu, 31 Jul 2014 15:33:46 +0200

hdf5 (1.8.13+docs-5) experimental; urgency=medium

  * Fix to the previous fix: forgot to update d/control.in.

 -- Gilles Filippini <pini@debian.org>  Wed, 30 Jul 2014 09:59:50 +0200

hdf5 (1.8.13+docs-4) experimental; urgency=medium

  * libhdf5-{openmpi,mpich}-dev: drop dependency on hdf5-helpers
    so that h5cc isn't in the way of the cmake FindHDF5 macro.

 -- Gilles Filippini <pini@debian.org>  Tue, 29 Jul 2014 19:25:41 +0200

hdf5 (1.8.13+docs-3) experimental; urgency=medium

  * Fix h5cc and co helpers so that they don't break the cmake macro
    FindHDF5.cmake:
    - search libraries with their legacy names into
      /usr/lib/$MULTIARCH/hdf5/$flavor/
    - insert -I$includedir into the result of the -show option

 -- Gilles Filippini <pini@debian.org>  Thu, 24 Jul 2014 12:02:57 +0200

hdf5 (1.8.13+docs-2) experimental; urgency=medium

  * Add lib and include links into /usr/lib/$MULTIARCH/hdf5/$flavor/
    so that reverse build dependencies could use:
    --with-hdf5=/usr/lib/$MULTIARCH/hdf5/$flavor

 -- Gilles Filippini <pini@debian.org>  Tue, 15 Jul 2014 11:30:46 +0200

hdf5 (1.8.13+docs-1) experimental; urgency=medium

  [Gilles Filippini]
  * New upstream release
  * MPI-POSIX driver removed by upstream. Applications performing parallel
    I/O should use the MPI-IO driver, H5Pset_fapl_mpio
  * SONAME bump to 8

  * Repack upstream docs:
    - Drop useless MacOS resource fork file
    - Drop generated files:
      . Generate C++ doc at build time with doxygen
      . Process PHP scriptlets in HTML files at build time
    - Build-Depends: doxygen, php5-cli
  * debian/watch: use dversionmangle to correctly match upstream releases
  * libhdf5-doc: drop dependency on libjs-jquery (not needed anymore)
  * debian/source.lintian-overrides: ignore lintian warnings related to
    the mpich2 dummy transitional packages
  * Add manpages for h5pcc, h5pfc and h5debug (generated with help2man)

  * Make serial and $mpi flavors co-installable
    - New patch flavor-configure-option.patch: add option --with-flavor
      which append '_<flavor-name>' to the libraries' names
    - Configure builds with flavor-name={serial,openmpi,mpich}
    - link $flavor development libs to
      /usr/lib/$MULTIARCH/hdf5/$flavor/libhdf5-<legacy-names> (so that existing
      makefiles still work using -L/usr/lib/$MULTIARCH/hdf5/$flavor)
    - install $flavor include files into /usr/include/hdf5/$flavor (so
      that existing makefiles still work using -I/usr/include/hdf5/$flavor)
    - Use alternatives to choose default h5p{cf}c
    - Deactivate patch skip_cxx_inclusion.diff
    - Remove related Conflicts / Provides from debian/control*
  * Reflect theses changes in .symbols files

  [Alastair McKinstry]
  * Add ELF symbol versionning to enable multiple flavors to be linked
    simultaneously.

 -- Gilles Filippini <pini@debian.org>  Tue, 08 Jul 2014 22:52:48 +0200

hdf5 (1.8.12+docs-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build libhdf5-openmpi-{7,dev} on mips and mipsel, since mpi-defaults
    switched to openmpi there (closes: #746214).

 -- Julien Cristau <jcristau@debian.org>  Tue, 29 Apr 2014 21:05:47 +0200

hdf5 (1.8.12+docs-1) unstable; urgency=medium

  * Repack upstream tarball with documentation.
  * Reintroduce html documentation into libhdf5-doc (closes: #738844).

 -- Gilles Filippini <pini@debian.org>  Sun, 16 Feb 2014 19:10:07 +0100

hdf5 (1.8.12-9) unstable; urgency=low

  * Reintroduce transitionnal dummy package libhdf5-serial-dev to allow
    the transition to testing (previous release failed).
  * Architecture: all for all transitionnal dummy packages.

 -- Gilles Filippini <pini@debian.org>  Sat, 18 Jan 2014 20:04:28 +0100

hdf5 (1.8.12-8) unstable; urgency=low

  * control: remove version from Breaks+Replaces for libhdf5-serial-dev.
    Hope this will eventually allow the transition to testing.

 -- Gilles Filippini <pini@debian.org>  Thu, 16 Jan 2014 17:42:18 +0100

hdf5 (1.8.12-7) unstable; urgency=medium

  * control: libhdf5-dev: reintroduce Provides+Breaks+Replaces
    libhdf5-serial-dev. This was preventing the transition to testing
    from libhdf5-serial-dev 1.8.11-5.

 -- Gilles Filippini <pini@debian.org>  Mon, 13 Jan 2014 11:31:15 +0100

hdf5 (1.8.12-6) unstable; urgency=medium

  * Upload to unstable. 

 -- Gilles Filippini <pini@debian.org>  Fri, 10 Jan 2014 19:35:03 +0100

hdf5 (1.8.12-5) experimental; urgency=medium

  * Fix missing Breaks+Replaces relation for libhdf5-cpp-7
    (closes: #734781).
  * Bump Standards-Version to 3.9.5 (no changes).

  * rules: drop unneeded compilation and link flags which are automatically
    set by mpicc.

 -- Gilles Filippini <pini@debian.org>  Thu, 09 Jan 2014 22:35:58 +0100

hdf5 (1.8.12-4) experimental; urgency=medium

  * Fix a missed s/mpich2/mpich/g. 
  * Remove Pre-Depends for dummy transitional packages.
  * Use dh_autoreconf{,_clean} to ease autotools files patching.
  * Refresh patch soname.diff accordingly.
  * Improve the template based mechanism for debhelper files.

 -- Gilles Filippini <pini@debian.org>  Tue, 07 Jan 2014 14:20:16 +0100

hdf5 (1.8.12-3) experimental; urgency=medium

  * debian/rules:
    + Simplify DEFAULT_MPI retrieval
    + Simplify build_openmpi detection depending on arch
    + Enable arch arm64 for openmpi to be consistent with debian/control
  * mpich2 to mpich transition (closes: #733046):
    - s/mpich2/mpich/g
    - libhdf5-mpich2-* transition packages
  * Introduce pkg-config files for the -dev packages
    (closes: #721202, #732202).
  * Install /usr/bin/h5p{c,f}c with mpi-dev packages
    (closes: #648537).

 -- Gilles Filippini <pini@debian.org>  Sat, 04 Jan 2014 19:55:21 +0100

hdf5 (1.8.12-2) experimental; urgency=low

  * Re-enable openmpi for arm64 (from 1.8.11-5ubuntu2).
  * Add myself to Uploaders.

 -- Gilles Filippini <pini@debian.org>  Sun, 22 Dec 2013 15:42:36 +0100

hdf5 (1.8.12-1) experimental; urgency=low

  * Team Upload (closes: #730492)

  * New upstream release.
    + New configure / cmake option to specify the location of a default
      plugin
    + The h5repack utility was updated to use plugin filters
    + The following options were added to h5dump:
      - The "-N" or "--any_path" option searches the file for paths that
        match the search path.
      - The "-A 0" option excludes the display of attributes.
    + Several changes were made to the C++ APIs. Some wrappers and
      overloaded convenience functions were added, as well as a new
      class, H5::H5Location.

  * Drop patches (fixed upstream):
    + ftbfs-ia64.diff
    + 0001-Fix-long-double-detection.patch
  * Refresh patches and add missing description:
    + path_max.diff
    + relax-version-check.patch
    + skip_cxx_inclusion.diff
    + soname.diff
    + ullong_force.diff
  * Apply ubuntu patch from 1.8.11-5ubuntu1 (Colin Watson):
    - Disable openmpi on arm64.
    - Use the autotools-dev dh addon to update config.guess/config.sub for
      arm64.
  * soname:
    - Rework patch soname.diff to act on LT_VERS_AGE instead of
      LT_VERS_INTERFACE
  * Symbol files:
    - New helper script debian/sort-symbols to unmangle and sort C++ symbols.
      See debian/README.source.

  * Bring back the c++ libs to a separate package (thanks to Julien Cristau).

 -- Gilles Filippini <pini@debian.org>  Sun, 15 Dec 2013 11:46:03 +0100

hdf5 (1.8.11-5) unstable; urgency=low

  * Forgot to update debian/control.in ...

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Sep 2013 13:01:29 +0200

hdf5 (1.8.11-4) unstable; urgency=low

  * Fix a miscompilation issue with gcc 4.8 (Closes: #721805)
  * Rebuild to fix the mod gfortran issue (Closes: #687127)
  * Remove rpath
  * Remove the debian version from libhdf5-7.symbols
  * Fix lintian warning unused-shlib-entry-in-control-file libh5test 7
  * Silent lintian warnings package-name-doesnt-match-sonames
  * Add conflicts on the dbg packages

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Sep 2013 11:12:57 +0200

hdf5 (1.8.11-3) unstable; urgency=low

  * Update of the symbol list under PowerPC (Some new C++ symbols ?!)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Jul 2013 18:37:07 +0200

hdf5 (1.8.11-2) unstable; urgency=low

  * Fix the FTBFS under ia64 (Closes: #711777, #711561)
  * Update the symbol list under PowerPC
  * Disable openmpi on m68k, too (Closes: #695607)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Jul 2013 11:49:10 +0200

hdf5 (1.8.11-1) unstable; urgency=low

  * New upstream release
  * Rollback upstream change from soname 7 => 8.
    They only removed two functions which were unused and buggy.
    I checked with them and they agree it was not worth changing the soname.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 21 Jun 2013 13:50:29 +0200

hdf5 (1.8.10-patch1-1) unstable; urgency=low

  [ Helmut Grohne ]
  * Enable Multi-Arch:
    + Bump debhelper dependency to 8.1.3.
    + Add Multi-Arch:same markers and ${misc:Pre-Depends} to libraries.
    + Override --libdir for configure.
    + Updated .install files accordingly.
  (Closes: #708455)

  [ Sylvestre Ledru ]
  * Upload to unstable
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 15 May 2013 22:57:42 +0200

hdf5 (1.8.10-patch1-1~exp3) experimental; urgency=low

  * Fix the FTBFS on powerpc, powerpcspe, and ppc64
  Many thanks to Hiroyuki Yamamoto & Roland Stigge
  (Closes: #701504)
  * Remove libhdf5-doc.doc-base (html doc is no longer provided)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 11 Apr 2013 15:40:53 +0200

hdf5 (1.8.10-patch1-1~exp2) experimental; urgency=low

  * Fix the symbol list

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 27 Jan 2013 11:21:30 +0100

hdf5 (1.8.10-patch1-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 26 Jan 2013 09:45:08 +0100

hdf5 (1.8.9-1~exp3) experimental; urgency=low

  * Support of ppc64 (Closes: #670266)
    Thanks to Hiroyuki Yamamoto for the patch.
  * Support of powerpcspe (Closes: #694427)
    Thanks to Roland Stigge for the patch.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Nov 2012 12:54:06 +0100

hdf5 (1.8.9-1~exp2) experimental; urgency=low

  * Skip the inclusion of C++ when dealing with parallel HDF5
    Thanks to Mike Miller, Rafael Laboissiere & Sebastien Villemot

  [ Julian Taylor ]
  * relax-version-check.patch:
    don't check the compile time patch version at runtime, this saves us
    full transitions when it is still compatible.
    (Closes: #693610)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 25 Nov 2012 11:15:21 +0100

hdf5 (1.8.9-1~exp1) experimental; urgency=low

  * New upstream release (Closes: #673788)
    Changes of symbols are private functions (doubled check with upstream)
  * Bring back C++ library (but do not track the C++ symbol).
    (Closes: #660539, #660547)
  * Update the package libhdf5-mpi-dev description (Closes: #659125)
  * Use /usr/bin/cc & /usr/bin/c++ for the serial compilation
  * Enable hardening flags

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 14 Jun 2012 17:08:45 +0200

hdf5 (1.8.8-9) unstable; urgency=low

  * Force the dependency on the serpack for hdf5-tools & hdf5-helpers.
    Thanks to Julien Cristau for the second fix.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 08 Mar 2012 11:09:28 +0100

hdf5 (1.8.8-8) unstable; urgency=low

  * Change the dependency of hdf5-tools from libhdf5-7 (= ${binary:Version})
    =>  ${shlibs:Depends}. It should relax the dependency.
    Thanks to Julien Cristau for the fix.
  * Standards-Version updated to version  3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Mar 2012 13:43:44 +0100

hdf5 (1.8.8-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop building the c++ libraries, nothing uses them.  And don't version the
    libhdf5-7 symbols file, so the dependency can also be satisfied by the mpi
    packages' Provides.
  * Use DEB_HOST_ARCH instead of DEB_BUILD_ARCH in debian/rules.
  * Don't require root for debian/rules clean.

 -- Julien Cristau <jcristau@debian.org>  Sat, 18 Feb 2012 12:25:35 +0000

hdf5 (1.8.8-7) unstable; urgency=low

  * Now shlibs suggest both parallel or serial version to avoid problems
    with rdepends that could use both serial or parallel version to build and
    are 'parallel agnostic'.
    (closes: #657949, #658281, #658307)
  * Now hdf5-tools depends strictly on the provided library in the source.
    Using a virtual is quite pointless, being hdf5-tools provided by the
    same source package.
    (closes: #658491)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 13 Feb 2012 10:53:23 +0100

hdf5 (1.8.8-6) unstable; urgency=low

  * Support of alpha & sh4. Thanks to Michael Cree & Nobuhiro Iwamatsu.
    (Closes: #656516)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 31 Jan 2012 15:23:17 +0100

hdf5 (1.8.8-5) unstable; urgency=low

  * Force the path to OpenMPI. This might fix the FTBFS on sparc.
  * Force to quit when the configure is failing. Thanks to 
    Julien Cristau for the suggestion.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 23 Jan 2012 18:16:53 +0100

hdf5 (1.8.8-4) unstable; urgency=low

  * Update the symbol list under ia64
  * In case of failure of the configure, display the config.log file.
    Enabled because of the build failure under sparc.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 23 Jan 2012 12:06:38 +0100

hdf5 (1.8.8-3) unstable; urgency=low

  * libhdf5-openmpi-7-dbg was build for arch:any while it should be built
    only on openmpi supported archs
  * Some weird artefacts in the define were breaking ia64 build
  * Force g++ as the C++ compiler
  * Update the symbol list for sparc
  * In some cases, configures were executed in parallel. Disable it.
  * hdf5-helpers collided with hdf5-tools at upgrade time (Closes: #656427)
  * hdf5-tools could not be installed at the same time as libhdf5-openmpi-7
    or libhdf5-mpich2-7

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Jan 2012 14:28:13 +0100

hdf5 (1.8.8-2) unstable; urgency=low

  * Fix an upstream wrong assumption that ia64 => ifort as
    Fortran compiler.
    Should fix ia64 (and maybe sparc) FTBFS.
  * Add a transitionnal package libhdf5-serial-dev => libhdf5-dev
  * libhdf5-mpich2-dev was depending on libmpich21.0-dev (should instead depend
    on libmpich2-dev)
  * Fix symbol list for alpha (Closes: #656299)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 17 Jan 2012 20:21:02 +0100

hdf5 (1.8.8-1) unstable; urgency=low

  * Upload in unstable
  * Fix the build under armhf

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 17 Jan 2012 18:20:32 +0100

hdf5 (1.8.8-1~exp4) experimental; urgency=low

  * Fix a symbol issue under armel and armhf

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 14 Jan 2012 14:33:21 +0100

hdf5 (1.8.8-1~exp3) experimental; urgency=low

  * Add mpi support for armel/armhf. Thanks to Konstantinos Margaritis
    for the patch (Closes: #654857)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 09 Jan 2012 04:31:58 +0100

hdf5 (1.8.8-1~exp2) experimental; urgency=low

  * Update the symbol list under s390x. Thanks to Aurelien Jarno.
    (Closes: #651805)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 12 Dec 2011 19:59:54 +0100

hdf5 (1.8.8-1~exp1) experimental; urgency=low

  * New upstream release (Closes: #649114)
  * fix lintian warning brace-expansion-in-debhelper-config-file
  * sscanf.diff & disabler16check.diff removed (applied upstream)
  * Add a script to sync the doc with the latest release. Thanks to
    Antonio Valentino for providing pack-hdf5docs.sh. (Closes: #610866)
  * package-would-benefit-from-build-arch-targets fixed
  * Use a distinct tarballs for the documentation

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Nov 2011 11:42:52 +0100

hdf5 (1.8.7-2~exp7) experimental; urgency=low

  * Fix a mistake in the powerpc symbol file
  * mipsel and hurd-i386 symbols
  * s390x support. Thanks to Aurelien Jarno (Closes: #638363)
  * New package hdf5-helpers introduced. Contains now h5cc, h5c++ & h5fc.
    All hdf5 *-dev now depends on it (Closes: #629157, #637749)
    (LP: #770347)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 12 Aug 2011 15:19:01 +0200

hdf5 (1.8.7-2~exp6) experimental; urgency=low

  * Close to the end: mips & powerpc symbols
  * Debug packages libhdf5-7-dbg, libhdf5-mpich2-7-dbg &
    libhdf5-openmpi-7-dbg added (Closes: #604913)
  * debian/rules: Some lam old commands removed
  * debian/html.tgz.uu: Repack with a correctly formated pdf (Closes: #585491)
  * Do not compress the pdfs of the documentation

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 10 Aug 2011 20:21:46 +0200

hdf5 (1.8.7-2~exp5) experimental; urgency=low

  * Armel, s390 & powerpc symbol updates

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 10 Aug 2011 12:15:24 +0200

hdf5 (1.8.7-2~exp4) experimental; urgency=low

  * Fix a mistake in the symbol declaration

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 09 Aug 2011 11:10:09 +0200

hdf5 (1.8.7-2~exp3) experimental; urgency=low

  * kfreebsd-amd64, kfreebsd-i386, s390, mipsel, armel & powerpc symbols

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 08 Aug 2011 20:25:49 +0200

hdf5 (1.8.7-2~exp2) experimental; urgency=low

  * Update of the symbol files. Further uploads might come. (Closes: #636967)
  * Fix package-relation-with-self on libhdf5-7 (Provides:)
  * Fix a typo in the manpage h5import & h5diff
  * Missing manpages for h5copy h5fc h5mkgrp h5perf_serial h5stat
  * Enable parallel compilation

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 08 Aug 2011 13:22:06 +0200

hdf5 (1.8.7-2~exp1) experimental; urgency=low

  * Rename libhdf5-serial-* to libhdf5 to avoid confusion and to highlight
    which one is the default version (Closes: #566541)
  * hdf5 packages renamed to use soname versionning. Upstream looks like ready
    to support them correctly. Therefor, here is the changes:
    libhdf5-serial-1.8.7 => libhdf5-7
    libhdf5-openmpi-1.8.7 => libhdf5-openmpi-7
    libhdf5-mpich2-1.8.7 => libhdf5-mpich2-7
  * C, C++ and Fortran symbol files introduced (mpich2, openmpi and serial).
  * Support of hurd-i386. Thanks to Pino Toscano for doing the work.
    (Closes: #627896)
  * Drop the useless lam4-dev dependency. Thanks to Pino Toscano & Adam C 
    Powell IV (Closes: #604714)
  * armel/arm added to the archs of libhdf5-openmpi-dev (Closes: #636185)
  * .la file are no longer shipped

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Aug 2011 14:06:18 +0200

hdf5 (1.8.7-1) experimental; urgency=low

  * New upstream release
  * Get ride of autotools.diff & allowthreadsafe.diff (hdf5 is now providing
    the option --enable-unsupported to do so)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 May 2011 13:34:59 +0200

hdf5 (1.8.6-3) experimental; urgency=low

  * Get ride of the -m128bit-long-double FFLAGS (was introduced to fix bug
    #619281)
  * Get ride of DEBCC, DEBCXX & DEBFORTRAN useless variables

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 13 May 2011 15:26:12 +0200

hdf5 (1.8.6-2) experimental; urgency=low

  * Disable the r16 check (Closes: #619281)
  * Standards-Version updated to version 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 14 Apr 2011 18:31:50 +0200

hdf5 (1.8.6-1) experimental; urgency=low

  * New upstream release (Closes: #586232)
  * Default to 1.8 interface instead of 1.6 (Closes: #537414)
  * Remove dependency on libjpeg62-dev (Closes: #569234)
  * Dependency on LAM/MPI and/or MPICH dropped (Closes: #571453)
  * MPICH2 packages provided
  * Optimisation flags plugged back (Closes: #604906)
  * Fix a bad usage of sscanf in the hdf5 code which was introducing
    a dependency on the glibc 2.7 (Closes: #599541)
  * Patch sigbus.diff removed (upstream)
  * Patch autotools.diff updated by manual autoreconfing.
  * Add myself to the uploader
  * Added ${misc:Depends} to libhdf5-doc

  [ Francesco Paolo Lovergine ]
  * Moved repository to git and changed Vcs-* fields.
  * Now using source format 3.0 and removed quilt build-dep.
  * Policy bumped to 3.9.1, no changes required.
  * Added ${misc:Depends} to all binary packages due to dh use.
  * Removed virtual libhdf5-1.8.3 targets, obsolete after squeeze release.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Mar 2011 19:46:36 +0100

hdf5 (1.8.4-patch1-2) unstable; urgency=low

  [ Adam C. Powell, IV ]
  * Added libhdf5-mpi-dev package which simply depends on default MPI version
    of HDF5 for each platform.
    (closes: #510057)

  [ Francesco Paolo Lovergine ]
  * Policy bumped to 3.8.4, no changes required. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 23 Apr 2010 11:32:55 +0200

hdf5 (1.8.4-patch1-1) unstable; urgency=low

  * New upstream patch release.
    This version fixes a corruption problem on big-endian archs, as detailed in 
    http://www.hdfgroup.org/newsletters/bulletin20100226.html.
    This issue appears only when using netcdf4 format.
  * Fixed typo in 1.8.4-4 changelog.
  * Added a useful test target in debian/rules to run the auto test suite.
  * Now debian/rules skips a suffix like -[^-]* in parsing upstream version.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 11 Mar 2010 15:17:29 +0100

hdf5 (1.8.4-5) unstable; urgency=low

  * Now forces optimization off (-O0) in debian/rules due to some known problems
    with gcc 4.3+ for 1.8.4. This is required to override Debian build evnironment 
    settings.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 02 Feb 2010 12:29:07 +0100

hdf5 (1.8.4-4) unstable; urgency=low

  * New patch sigbus.diff to revert changes done in 1.8.4 for SIGBUS/SIGSEGV 
    handlers which cause sigbus error on sparc, mips and mipsel in H5detect. 
    (closes: #567256)
  * SuperH saga ends hopefully with a final patch to debian/rules. 
    Thanks Nobuhiro Iwamatsu. (closes: #553979)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 29 Jan 2010 12:27:12 +0100

hdf5 (1.8.4-3) unstable; urgency=low

  * All libraries have to conflict against past 1.8.3 virtual package to solve
    previous mess.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 25 Jan 2010 17:37:39 +0100

hdf5 (1.8.4-2) unstable; urgency=low

  * Current library still retains the 1.8 SONAME and that causes problems 
    in upgrading. Unfortunately HDF5 library has a long history of API/ABI violations
    among "minor" revisions. So introducing one more virtual package to provide/conflict
    and also coflicting against last 1.8.3 package for managing a safe upgrade.
    See README.source for more information.
    (closes: #566540, #566339, #566533, #566738, #566698)
  * Completed superH support.
    (closes: #553979)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 25 Jan 2010 10:31:47 +0100

hdf5 (1.8.4-1) unstable; urgency=low

  * New upstream release.
  * Policy bumped to 3.8.3, no changes.
  * Added a workaround in debian/rules to manage correctly mpich fortran 
    building which misses header files.
  * Added support for superH.
    (closes: #553979)
  * Added support for m68k.
    (closes: #490852)
  * Patch autotools.diff rebuilt by reautoconfiscating with current tools.
  * Incorporating NMU for not build-depends on libibverbs-dev on GNU/kFreeBSD 
    archs. Thanks aba. 
    (closes: #540875)
  * Added html.tgz.uu file stolen from HDF svn repository to provide missing
    HTML documentation. 
    (closes: #541162)
  * Added build-dep on sharutils for uudecode.
  * Added README.source to explain a few details about packaging.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 21 Jan 2010 13:50:26 +0100

hdf5 (1.8.3-2) unstable; urgency=low

  * Uploaded to unstable.
    (closes: #519575, #501564, #470159)
  * Fixed shlibs.in to avoid wrong interdependencies.
    (closes: #537413)
  * Added libjpeg-dev as an alternative build-dep and replaced
    into the -dev package list of deps.
  * [PATCH] mpi.diff added to remove mpio.h including, which
    is supefluous for LAM, MPICH and OpenMPI AFAIK.
    (closes: #515579)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 06 Aug 2009 16:40:50 +0200

hdf5 (1.8.3-1) experimental; urgency=low

  * New upstream release.
  * Added a patch debian/patches/autotools to update autotools and remove
    limitation in using thread-safety along with C++/Fortran bindings.
    Note that now there's a single configure.in in the base directory.
  * Added a note about thread-safety for non-C bindings in README.Debian.
  * Policy bumped to 3.8.2. No changes.
  * Secondary ABI interface number -0 dropped. 
  * Changed Section in doc-base description document for hdf5-doc.
  * Debhelper level set to 7.
  * This version has been built with 1.6 interface as default. See NEWS for
    more information.
  * Added a (temporary) OMPI_MCA_disable_memory_allocator=1 definition
    to allow building under fakeroot for openmpi (see #531522). To be
    removed when better fixed by OpenMPI maintainer and upstreams.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 22 Jun 2009 09:39:25 +0200

hdf5 (1.6.7-1) unreleased; urgency=low

  * New upstream release. This is a bug fix release, but for removing of the
    virtual stream I/O library, which is now stripped out of the main library.
    I know Cactus uses that I/O driver, but it is not packaged.
  * Manually run "autoupdate; libtoolize --force --copy; aclocal; autoheader;
    autoconf" in the base directory, and "autoupdate; libtoolize --force
    --copy; aclocal; autoconf" in the c++/ directory.
  * [LINTIAN] Changed a bit versions used in build-dep to avoid possible breakages. 
  * Homepage field updated in debian/control.in.
    (closes: #501564)
  * Updated and normalized debian/copyright.
  * Now enabled Fortran (openmpi and mpich only) and C++ (serial only) binding.
    (closes: #470159)
  * Dropped -0 suffix in all run-time libraries packages.
  * Changed SONAMEs and solib names as consequence. Dependencies will require
    rebuilding in order to use the new libraries. Now SONAMEs uses an
    ordinary serialization which depends on the upstream versions.
    Incidentally the new SONAMEs and library names do not conflict with 
    the old ones.
  * Now using quilt to manage patches.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 09 Oct 2008 15:44:25 +0200

hdf5 (1.6.6-4) unstable; urgency=low

  * Previous fix had typos. Also now it controls archs in control.in by debian/rules. 
    Added versioning for sed to use -e arg for completeness.
    (closes: #473871)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 02 Apr 2008 12:11:24 +0200

hdf5 (1.6.6-3) unstable; urgency=low

  * Fixating for most (not any) archs debhelper flag.
    (closes: #473669)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 01 Apr 2008 11:25:56 +0200

hdf5 (1.6.6-2) unstable; urgency=low

  * Fixed changelog due to patch dropped before release, but still logged.
  * Do not create the libdhf5-openmpi-* packages on some selected
    architectures. Thanks Rafael Laboissiere (closes: #473328).

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 31 Mar 2008 16:47:51 +0200

hdf5 (1.6.6-1) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * New upstream release. All Debian source changes already merged.
  * Manually run "autoupdate; libtoolize --force --copy; aclocal; autoheader;
    autoconf" in the base directory, and "autoupdate; libtoolize --force
    --copy; aclocal; autoconf" in the c++/ directory.
  * Added Homepage field in debian/control.in
  * Watch file updated.
    (closes: #449723)
  * Fixed rpath issue with dh_shlibdeps due to missing library path. Thanks both
    Adam C Powell IV and Riku Voipio for NMU.
    (closes: #463393,#456862,#466739)
  * [Lintian] Policy bumped to 3.7.3
  * [Lintian] Now using ${binary:Version} in debian/control.in
  * Added Vcs-* fields to debian/control.in

  [ Adam C Powell IV ]
  * Added OpenMPI version (closes: #457080)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 02 Jan 2008 16:38:38 +0100

hdf5 (1.6.5-5) unstable; urgency=low

  * Changed maintainer and added uploards for true in control.in
  * Moved to debhelper compatibility level 5.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 14 May 2007 23:40:30 +0200

hdf5 (1.6.5-4) unstable; urgency=low

  * New maintainership team. Added me as uploader.
    (closes: #393101)
  * Normalized descriptions in debian/control.
  * Policy bumped to 3.7.2 (no changes)
  * Patched c++/src/H5PropList.cpp for gcc 4.3. Thanks Martin Michlmayr.
    (closes: #417234)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 14 May 2007 15:42:13 +0200

hdf5 (1.6.5-3) unstable; urgency=low

  * Orphan package.

 -- Josselin Mouette <joss@debian.org>  Sun, 15 Oct 2006 03:08:38 +0200

hdf5 (1.6.5-2.1) unstable; urgency=low

  * Non maintainer upload
  * Added patch to fix CommonFG::getObjnameByIdx.  Closes: #368974

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Sep 2006 10:34:22 +0200

hdf5 (1.6.5-2) unstable; urgency=medium

  * config/gnu-flags: don't use -fomit-frame-pointer on m68k, to avoid 
    an ICE.

 -- Josselin Mouette <joss@debian.org>  Mon,  3 Apr 2006 22:35:40 +0200

hdf5 (1.6.5-1) unstable; urgency=low

  * New upstream release.
  * Re-run "autoupdate; libtoolize --force --copy; aclocal; autoheader;
    autoconf" in the base directory, and "autoupdate; libtoolize --force
    --copy; aclocal; autoconf" in the c++/ directory.
  * Remove the C++ transition's c2 in package names.
  * For some random reason, the C++ library cannot be built in parallel
    builds anymore *sigh*.
    + Only use --enable-cxx for the serial build.
    + Make a specific shlibs file for the serial package.

 -- Josselin Mouette <joss@debian.org>  Sat,  4 Mar 2006 15:51:19 +0100

hdf5 (1.6.4-4) unstable; urgency=medium

  * src/H5detect.c: correctly restore the signal mask when trapping 
    SIGBUS or SIGSEGV. This should make hdf5 build on the ia64 buildd.

 -- Josselin Mouette <joss@debian.org>  Thu,  8 Sep 2005 20:50:09 +0200

hdf5 (1.6.4-3) unstable; urgency=low

  * Rebuild against GCC and G++ 4.0 (closes: #318164).
  * Rename the library packages with a "c2" at the end.
  * Standards-version is 3.6.2 (no changes).
  * Bump build-dependencies on lam and mpich appropriately.
  * Don't recommend mpich-bin anymore, libmpich1.0 already does it.

 -- Josselin Mouette <joss@debian.org>  Wed, 31 Aug 2005 13:48:53 +0200

hdf5 (1.6.4-2) unstable; urgency=low

  * c++/config/ia64-linux-gnu: use a path relative to $srcdir to fix FTBFS on
    ia64.

 -- Josselin Mouette <joss@debian.org>  Tue, 14 Jun 2005 20:51:30 +0200

hdf5 (1.6.4-1) unstable; urgency=low

  * New upstream release (closes: #301418).
    + Update copyright.
    + Re-run "autoupdate; libtoolize --force --copy; aclocal-1.7; autoheader;
      autoconf" in the base directory, and "autoupdate; libtoolize --force
      --copy; aclocal-1.7; autoconf" in the c++/ directory.
  * debian/{rules,control.in}: enable again the C++ build for MPICH.
    + Build-depend on mpich 1.2.5.3-2.
  * Build-depend on libmpich1.0-dev instead of mpich, recommend mpich-bin
    in the binary package, and make the development package depend on
    libmpich1.0-dev.
  * debian/docs_shlib: ship RELEASE.txt
  * debian/watch: added.
  * debian/man/h5{jam,unjam,repack}: write manpages from the HTML
    documentation for the new commands.
  * config/gnu-flags: don't force -O3 for GCC 3.3/3.4; according to upstream
    it can lead to some type conversion issues.

 -- Josselin Mouette <joss@debian.org>  Sun,  5 Jun 2005 11:00:50 +0200

hdf5 (1.6.2-3) unstable; urgency=low

  * debian/{rules,control.in}: provide correct dependencies for libhdf5 and
    libhdf5_cpp. Only the latter is unavailable with the mpich version.

 -- Josselin Mouette <joss@debian.org>  Fri, 21 May 2004 03:44:58 +0200

hdf5 (1.6.2-2) unstable; urgency=low

  * debian/rules: don't build the C++ interface for the mpich version.
  * debian/control.in:
    + make the mpich shared library require mpich | mpich-mpd.
    + document that there are no C++ bindings for this version.
    + don't provide libhdf5-@VERSION@-0 as there is no C++ library.

 -- Josselin Mouette <joss@debian.org>  Fri, 14 May 2004 12:42:00 +0200

hdf5 (1.6.2-1) unstable; urgency=low

  * New upstream release. I don't like to introduce a SONAME change at this
    time, but it is needed by PyTables 0.8.
    + Re-run autoupdate; libtoolize --force --copy; aclocal-1.7;
      autoheader; autoconf.
    + Updated copyright.
  * config/gnu-flags: re-enable optimization with gcc 3.3.
  * config/ia64-linux-gnu: remove patch, ecc is now autodetected.
  * Enable C++ library:
    + c++/config: make C++ stuff work like C stuff.
    + c++/config/commence.in: grab correct libtool.
    + c++/config/conclude.in: don't use /. at the end of the install path for
      libraries, as libtool doesn't like it for an obscure reason.
    + c++/src/Makefile.in: link explicitly with libhdf5.la.
    + Run autoupdate; libtoolize --force --copy; aclocal-1.7;
      autoconf in the c++ directory.
    + debian/rules:
      - Add --enable-cxx and use correct CXX for parallel builds.
      - Split dh_shlibdeps calls for each package, to generate correct
        dependencies for the C++ library.
  * Add manpages from Jason Kraftcheck <kraftche@cae.wisc.edu>
    (closes: #236026):
    + Put them in debian/man.
    + Some unused files are in debian/man/unused.
    + debian/ hdf5-utils.1, hdf5-tools.README.Debian, hdf5-tools.links:
      removed.
    + debian/hdf5-tools.manpages: use the above manpages.
  * debian/libhdf5-doc.install: install examples.
  * debian/rules: split dh_makeshlibs calls so that the correct library is
    required when building against libhdf5-{mpich,lam}-dev.

 -- Josselin Mouette <joss@debian.org>  Fri, 19 Mar 2004 16:38:58 +0100

hdf5 (1.6.1-4) unstable; urgency=medium

  * Make libhdf5-lam-dev depend on lam4-dev (closes: #230742).

 -- Josselin Mouette <joss@debian.org>  Tue,  3 Feb 2004 15:59:19 +0100

hdf5 (1.6.1-3) unstable; urgency=low

  * Don't use gcc-3.2 on hppa anymore, the ICE is fixed.
  * Build-depend on lam-dev instead of lam3-dev.

 -- Josselin Mouette <joss@debian.org>  Thu, 22 Jan 2004 09:36:51 +0100

hdf5 (1.6.1-2) unstable; urgency=low

  * config/gnu-flags: remove -Wpadded no avoid failure when the 
    configure scripts checks for -fPIC.

 -- Josselin Mouette <joss@debian.org>  Tue,  4 Nov 2003 23:24:54 +0100

hdf5 (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * Replace the broken upstream tarball (including the same file twice)
    by a locally-generated one.
  * Re-run autoupdate; libtoolize --force --copy; aclocal-1.7;
    autoheader; autoconf.
  * debian/rules: make the shlibs file ask for the serial package by
    default.
  * debian/compat: new file.
  * debian/control.in: standards version is 3.6.1.

 -- Josselin Mouette <joss@debian.org>  Tue, 28 Oct 2003 15:07:40 +0100

hdf5 (1.6.0-3) unstable; urgency=low

  * Provide correct SONAME versioning, forking from upstream
    (closes: #202260).
    - config/commence.in: use the upstream version as a release number
      for libtool.
    - rework debian/ stuff so that it doesn't need no be changed upon
      upgrade.
    - update README.Debian files.

 -- Josselin Mouette <joss@debian.org>  Mon, 21 Jul 2003 18:54:43 +0200

hdf5 (1.6.0-2) unstable; urgency=low

  * Separate README.Debian for each package.
  * Include HISTORY.txt in shared library packages.
  * Remove ecc crap on ia64 (closes: #201488).
  * Use gcc-3.2 on hppa (ICE with gcc-3.3).
  * Remove Makefile.in files from documentation package.
  * libhdf5-doc now Suggests: doc-base.

 -- Josselin Mouette <joss@debian.org>  Wed, 16 Jul 2003 15:41:22 +0200

hdf5 (1.6.0-1) unstable; urgency=low

  * New upstream release.
    - Fix data corruption bug (closes: #193033).
  * Update copyright information.
  * Re-run autoupdate; libtoolize --force --copy; aclocal-1.7; autoheader;
    autoconf.
  * Update debian/ files to match version 1.6.0.
  * Standards-version is 3.6.0.
  * Move development packages to libdevel.
  * Make MPI packages priority extra.
  * Update manpage stuff.
  * Install README.Debian in all packages.

 -- Josselin Mouette <joss@debian.org>  Tue, 15 Jul 2003 22:58:48 +0200

hdf5 (1.4.5-2) unstable; urgency=low

  * Re-ran autoupdate; libtoolize --force --copy; aclocal-1.7; autoheader;
    autoconf. Hopefully closes: #184259.

 -- Josselin Mouette <joss@debian.org>  Tue, 11 Mar 2003 19:51:19 +0100

hdf5 (1.4.5-1) unstable; urgency=low

  * New upstream release.
  * Updated control and rules regarding the new version.
  * config/gnu-flags: use upstream gcc-3.2 detection.
  * configure.in: revert our changes.
  * debian/rules: enable LFS on all arches without testing, as upstream
    seems to think it works even on 64-bit arches. Testing on ia64,
    alpha and hppa is welcome.
  * debian/control: put upstream URL in package descriptions.
  * debian/rules: make mpich being detected only by using mpicc.mpich.

 -- Josselin Mouette <joss@debian.org>  Mon, 10 Mar 2003 16:00:56 +0100

hdf5 (1.4.4-2) unstable; urgency=low

  * config/gnu-flags: made the build system know about GCC 3.2. Used GCC
    3.1 flags and added -g to $PROD_CFLAGS (the binaries are stripped
    later). This should solve issues on m68k by using -O2 again.
  * debian/rules: removed a bit of unuseful crap.
  * Support the noopt flag in DEB_BUILD_OPTIONS.
  * Enabled thread-safety.

 -- Josselin Mouette <joss@debian.org>  Thu,  6 Feb 2003 11:06:49 +0100

hdf5 (1.4.4-1) unstable; urgency=low

  * New maintainer (closes: #174114).
  * Standards-version 3.5.8.
  * Use debhelper mode 4.
  * Renewed rules file.
  * configure.in: changed test for LFS to use standard autoconf macros.
  * Ran autoupdate; libtoolize --force --copy; aclocal; autoheader; autoconf
  * debian/control: removed full stops at the end of package names.
  * Don't use autotools-dev anymore.

 -- Josselin Mouette <joss@debian.org>  Wed, 15 Jan 2003 16:36:04 +0100

hdf5 (1.4.4-0.2) unstable; urgency=low

  * debian/rules: removed autoconf invocation.
  * debian/control: removed build-dependency on autoconf.
  * ran libtoolize --force --copy; aclocal; autoheader; autoconf
    with latest libtool, automake and autoconf (closes: #163606).
  * debian/control: correct spelling errors in descriptions
    (closes: #124731, #124974, #124975, #124976, #124977, #124978, 
             #124979, #124980).

 -- Josselin Mouette <joss@debian.org>  Tue,  8 Oct 2002 21:02:19 +0200

hdf5 (1.4.4-0.1) unstable; urgency=low

  * NMU.
  * New upstream release.
  * Remove build dependency on HDF4 and --with-hdf4 (deprecated).
  * Update a few things in debian/rules, including a config.guess and
    config.sub automatic update (closes: #134248).
  * Now build depend on autotools-dev.
  * Stop build-depending on autoconf2.13.
  * Updated sparse manpage to remove hdf4 references and document new
    scripts.
  * Upstream seems to change their ABI at will, let's use virtual
    packages to avoid problems.
  * Correct dependencies for hdf5-tools and libhdf5-*-dev.
  * Added doc-base entry.
  * Removed the MSWord file in documentation.

 -- Josselin Mouette <joss@debian.org>  Sat, 14 Sep 2002 00:50:44 +0200

hdf5 (1.4.2-2.2) unstable; urgency=low

  * New NMU to correct a problem with the previous one, sorry.
  * Added a build dependency on autoconf2.13.

 -- Josselin Mouette <joss@debian.org>  Mon,  2 Sep 2002 15:00:25 +0200

hdf5 (1.4.2-2.1) unstable; urgency=low

  * NMU during bug squashing party
  * Set a versioned build-dependency on mpich 1.2.4-3, it should
    build everywhere now (closes: #133327).

 -- Josselin Mouette <joss@debian.org>  Fri, 30 Aug 2002 23:43:33 +0200

hdf5 (1.4.2-2) unstable; urgency=high

  * Applied upstream patch1, fixes data corruption bug (Closes: #114914)
  * Fixed up some Section:'s, fixed hdf5-utils Description
  * High priority, because of 114914
  * Cleaned out cruft from README.Debian

 -- Brian Russo <wolfie@debian.org>  Sun, 14 Oct 2001 23:18:08 -1000

hdf5 (1.4.2-1) unstable; urgency=medium

  * Utils are now in their own package (hdf5-tools)
  * New upstream source release (1.4.2) (Closes: #107644)
  * Fixed dependency re threaded libs needing serial lib (Closes: #110320, #106183)
  * Recompiled with lam3 (Closes: #106950)
  * Should handle binary-only builds correctly now (Closes: #109528)
  
 -- Brian Russo <wolfie@debian.org>  Thu, 20 Sep 2001 00:47:31 -1000

hdf5 (1.4.1-1) unstable; urgency=low

  * The octave-people-and-edd-will-be-happy release
  * (Closes: #81874) 

 -- Brian Russo <wolfie@debian.org>  Wed, 13 Jun 2001 14:31:17 +1100
